Retrieve all trades for a specific token with pagination and filtering options
curl --request GET \
--url https://frontend-api-v3.pump.fun/trades/all/{mint}{
"trades": [
{}
],
"count": 123
}Documentation Index
Fetch the complete documentation index at: https://mintlify.com/BankkRoll/pumpfun-apis/llms.txt
Use this file to discover all available pages before exploring further.
Authorization: Bearer <token> header.
limit for pagination.curl -X GET "https://frontend-api-v3.pump.fun/trades/all/7GCihgDB8fe6KNjn2MYtkzZcRjQy3t9GHdC8uHYmW2hr?limit=50&offset=0&minimumSize=0.1" \
-H "Authorization: Bearer <your_token>" \
-H "Accept: application/json"
<your_token> with your actual JWT token and use a valid token mint address.offset=0 and your desired limitoffset by the limit valuelimit are returnedoffset=0&limit=50offset=50&limit=50offset=100&limit=50curl -X GET "https://frontend-api-v3.pump.fun/trades/count/7GCihgDB8fe6KNjn2MYtkzZcRjQy3t9GHdC8uHYmW2hr?minimumSize=0.1" \
-H "Authorization: Bearer <your_token>" \
-H "Accept: application/json"
curl --request GET \
--url https://frontend-api-v3.pump.fun/trades/all/{mint}{
"trades": [
{}
],
"count": 123
}